com.io7m.smfj.processing.api

## Interface SMFAttributeArrayIntegerSigned2Type

- All Superinterfaces:
    SMFAttributeArrayType
  All Known Implementing Classes:
    SMFAttributeArrayIntegerSigned2

      public interface SMFAttributeArrayIntegerSigned2Type
      extends SMFAttributeArrayType

  The type of 2-element signed integer arrays.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default <A,B,E extends Exception> B` | `matchArray(A context, com.io7m.jfunctional.PartialBiFunctionType<A,SMFAttributeArrayFloating4Type,B,E> on_f4, com.io7m.jfunctional.PartialBiFunctionType<A,SMFAttributeArrayFloating3Type,B,E> on_f3, com.io7m.jfunctional.PartialBiFunctionType<A,SMFAttributeArrayFloating2Type,B,E> on_f2, com.io7m.jfunctional.PartialBiFunctionType<A,SMFAttributeArrayFloating1Type,B,E> on_f1, com.io7m.jfunctional.PartialBiFunctionType<A,SMFAttributeArrayIntegerUnsigned4Type,B,E> on_u4, com.io7m.jfunctional.PartialBiFunctionType<A,SMFAttributeArrayIntegerUnsigned3Type,B,E> on_u3, com.io7m.jfunctional.PartialBiFunctionType<A,SMFAttributeArrayIntegerUnsigned2Type,B,E> on_u2, com.io7m.jfunctional.PartialBiFunctionType<A,SMFAttributeArrayIntegerUnsigned1Type,B,E> on_u1, com.io7m.jfunctional.PartialBiFunctionType<A,SMFAttributeArrayIntegerSigned4Type,B,E> on_i4, com.io7m.jfunctional.PartialBiFunctionType<A,SMFAttributeArrayIntegerSigned3Type,B,E> on_i3, com.io7m.jfunctional.PartialBiFunctionType<A,SMFAttributeArrayIntegerSigned2Type,B,E> on_i2, com.io7m.jfunctional.PartialBiFunctionType<A,SMFAttributeArrayIntegerSigned1Type,B,E> on_i1)` Match on the type of array.
    `default int` | `size()`
    `javaslang.collection.Vector<com.io7m.jtensors.core.unparameterized.vectors.Vector2L>` | `values()`

- - ### Method Detail

    - #### matchArray

          default <A,B,E extends Exception> B matchArray(A context,
                                                         com.io7m.jfunctional.PartialBiFunctionType<A,SMFAttributeArrayFloating4Type,B,E> on_f4,
                                                         com.io7m.jfunctional.PartialBiFunctionType<A,SMFAttributeArrayFloating3Type,B,E> on_f3,
                                                         com.io7m.jfunctional.PartialBiFunctionType<A,SMFAttributeArrayFloating2Type,B,E> on_f2,
                                                         com.io7m.jfunctional.PartialBiFunctionType<A,SMFAttributeArrayFloating1Type,B,E> on_f1,
                                                         com.io7m.jfunctional.PartialBiFunctionType<A,SMFAttributeArrayIntegerUnsigned4Type,B,E> on_u4,
                                                         com.io7m.jfunctional.PartialBiFunctionType<A,SMFAttributeArrayIntegerUnsigned3Type,B,E> on_u3,
                                                         com.io7m.jfunctional.PartialBiFunctionType<A,SMFAttributeArrayIntegerUnsigned2Type,B,E> on_u2,
                                                         com.io7m.jfunctional.PartialBiFunctionType<A,SMFAttributeArrayIntegerUnsigned1Type,B,E> on_u1,
                                                         com.io7m.jfunctional.PartialBiFunctionType<A,SMFAttributeArrayIntegerSigned4Type,B,E> on_i4,
                                                         com.io7m.jfunctional.PartialBiFunctionType<A,SMFAttributeArrayIntegerSigned3Type,B,E> on_i3,
                                                         com.io7m.jfunctional.PartialBiFunctionType<A,SMFAttributeArrayIntegerSigned2Type,B,E> on_i2,
                                                         com.io7m.jfunctional.PartialBiFunctionType<A,SMFAttributeArrayIntegerSigned1Type,B,E> on_i1)
                                                  throws E extends Exception

      Description copied from interface: `SMFAttributeArrayType`
      Match on the type of array.
      Specified by:
        `matchArray` in interface `SMFAttributeArrayType`
      Type Parameters:
        `A` - The type of contextual values
        `B` - The type of returned values
        `E` - The type of raised exceptions
      Parameters:
        `context` - A contextual value
        `on_f4` - A receiver function
        `on_f3` - A receiver function
        `on_f2` - A receiver function
        `on_f1` - A receiver function
        `on_u4` - A receiver function
        `on_u3` - A receiver function
        `on_u2` - A receiver function
        `on_u1` - A receiver function
        `on_i4` - A receiver function
        `on_i3` - A receiver function
        `on_i2` - A receiver function
        `on_i1` - A receiver function
      Returns:
        A value of `A`
      Throws:
        `E` - If any of the functions raise `E`
        `E extends Exception`

    - #### size

          default int size()

      Specified by:
        `size` in interface `SMFAttributeArrayType`
      Returns:
        The size of the array

    - #### values

          javaslang.collection.Vector<com.io7m.jtensors.core.unparameterized.vectors.Vector2L> values()

      Returns:
        The array values

Copyright © 2017 <code@io7m.com> http://io7m.com